View Issue Details

IDProjectCategoryView StatusLast Update
0016805LazarusWidgetsetpublic2011-04-04 13:15
ReporterAles KatonaAssigned ToJesus Reyes 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSWindowsOS VersionXP
Product VersionProduct Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0016805: TDBGrid loses focus
DescriptionIt seems that TDBGrid loses focus when "tab" is pressed to go to the next column if "alwaysshoweditor" is set to true.
Steps To ReproducePut a TDBGrid on the form along with at least one other active component (TButton for example). Link the DBGrid to something with at least 2 columns and set AlwaysShowEditor option of the grid to true.

Write something to 1st column and "tab" to the next one. Editor in the cell shows, but focus is lost and you can't write anything. Works in 0.9.28, not in trunk. I'll try to get a simple example in VirtualBox ASAP.
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

Jesus Reyes

2010-10-02 19:40

developer   ~0041433

probably fixed in the mean time

Issue History

Date Modified Username Field Change
2010-06-28 21:05 Ales Katona New Issue
2010-06-28 21:05 Ales Katona LazTarget => -
2010-06-28 21:05 Ales Katona Widgetset => Win32/Win64
2010-06-29 06:12 Jesus Reyes Status new => assigned
2010-06-29 06:12 Jesus Reyes Assigned To => Jesus Reyes
2010-10-02 19:40 Jesus Reyes Status assigned => resolved
2010-10-02 19:40 Jesus Reyes Resolution open => fixed
2010-10-02 19:40 Jesus Reyes Note Added: 0041433
2010-10-02 19:41 Jesus Reyes Fixed in Version => 0.9.29 (SVN)
2011-04-04 13:15 Ales Katona Status resolved => closed